module Mybot
	module Recipes
		include Fmt
		
		def load_recipes
      (
        Dir["Botfile"] +
        Dir[File.join(HOME_PATH, ".mybot", "**", "*.rb")].flatten
      ).reject do |r|
        !File.exists?(r)
      end.each do |r|
        self.load_recipe(r)
      end
    end

    def load_recipe(r)
      instance_eval(File.read(r), __FILE__, __LINE__)
    rescue Exception => e
      print_cmd! "warning", "cannot load #{r}", :magenta, :bold
      puts e.message
      e.backtrace.each do |line|
        puts line
      end
    end
	end
end